Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 165833 - NullPointerException at org.netbeans.modules.editor.impl.actions.NavigationHistoryBackAction.actionPerformed
NullPointerException at org.netbeans.modules.editor.impl.actions.NavigationHi...
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 15:18 UTC by Oleg Khokhlov
Modified: 2009-07-15 12:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.32 KB, text/plain)
2009-05-22 15:19 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2009-05-22 15:18:24 UTC
Build: NetBeans IDE Dev (Build 200905190201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments:
ovk: pressed Back in Navigate (had no files opened);



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.editor.impl.actions.NavigationHistoryBackAction.actionPerformed(NavigationHistoryBackAction.java:133)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
Comment 1 Oleg Khokhlov 2009-05-22 15:19:11 UTC
Created attachment 82660 [details]
stacktrace
Comment 2 Vitezslav Stejskal 2009-05-25 11:45:47 UTC
local changeset: 4ef86f833174
Comment 3 Quality Engineering 2009-05-27 07:27:47 UTC
Integrated into 'main-golden', will be available in build *200905270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4ef86f833174
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #165833 - NPE after closing all editors and using Navigate->Back
Comment 4 Oleg Khokhlov 2009-05-29 13:33:21 UTC
v. in 20090529
Comment 5 pgebauer 2009-07-01 10:46:22 UTC
The fix has been ported into the release67_fixes repository.
hg.netbeans.org/release67_fixes/rev/f788956be5e4
Comment 6 Oleg Khokhlov 2009-07-15 12:14:25 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo